### Enumeration

# Vte CursorShape

#### Declaration

    enum Vte.CursorShape

#### Description [src]

An enumerated type which can be used to indicate what should the terminal draw at the cursor position.

#### Members

`VTE_CURSOR_SHAPE_BLOCK`

  Draw a block cursor. This is the default.

  - Value: `0`
  - Available since: 3.91
`VTE_CURSOR_SHAPE_IBEAM`

  Draw a vertical bar on the left side of character. This is similar to the default cursor for other GTK+ widgets.

  - Value: `1`
  - Available since: 3.91
`VTE_CURSOR_SHAPE_UNDERLINE`

  Draw a horizontal bar below the character.

  - Value: `2`
  - Available since: 3.91